Bug 130321 - EBPRs moved to invalid locations - no partitioning requested
EBPRs moved to invalid locations - no partitioning requested
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-08-18 21:40 EDT by Philip Sherman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-07 15:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Sherman 2004-08-18 21:40:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
Linux FC2 installed on system containing two existing OSs. Two 80g
disk drives, hda & hde. Hde is new, on just added PCI IDE controller.
Hda contained 3 primary and 4 extended partitions. Primaries (hda)
contained Boot Manager and two operating system's "C:" partitions. 

Prior to FC2 install: 1. Created 1g extended partition on hda for FC
swap. Swap partition was made first in extended, with 3g freespace
before it. 2. Created 4 extended partitions (100mb:/boot, 8g:/,
8g:/home, 8g:spare) on hde for FC2.
Removed boot manager and set one op sys to be booted. Rebooted 2x

FC install: Specified to use existing partitions created above.
Formatted partions on hde: /boot:ext2, /:ext3, /home:ext3. Formatted
swap aprtition on hda. Installed grub in hda MBR and added other
operating systems to grub menu.

Version-Release number of selected component (if applicable):
Unknown - CDs downloaded after 8/10/2004

How reproducible:
Didn't try

Steps to Reproduce:
Problem made hda partitions inaccessable - I don't want to try to
reproduce this.

Actual Results:  Hda EBPR records after the swap partition were moved
from sector 1 to sector 63 of head 0. (sector 63 is last sector of head.)

Hde EBPR records after the first (/boot) were moved from sector 1 to
sector 63 of head 0.

Whatever happened - after install, the locations of the EBPR records
were not consistant across all of the extended paritions. The first
EBPR was 1 head before the data partition, the others were one record.

On both drives, all EBPR records were correctly adjusted to reflect
the now modified lengths of the partitions, caused by moving the next

Expected Results:  EBPR records should not have been moved. Extended
partition sizes should not have been adjusted. EBPR records for all
extended partitions should be located one head (63 records) before the
start of the data partition associated with it.

Additional info:

Hda extended data partitions were intact and untouched. Hda
successfully repaired using a partition table editor. Only the first
moved EBPR needed repair. This indicates that the original EBPR data
was left intact when the EBPR records were moved. (Additional repairs
to physical sequencing of hda primary partitions in the hda partition
table were needed. I think this was caused by deleting the Boot
Manager but this did not effect booting prior to FC installation.)

Repairs completed by reinstalling Boot Manager then using the FC
rescue CD to install grub on the /boot partition of hde. Fedora was
then made an option on Boot Manager. All three systems are now
bootable and have full access to all owned partitions. Grub only boots
Fedora Core. FC system also has full access to all supported
partitions on hda. 

Partition table dumps before and after repairs are available.
Comment 1 Jeremy Katz 2004-10-07 15:02:33 EDT
Should be fixed in FC3 with newer versions of parted.

Note You need to log in before you can comment on or make changes to this bug.